<?php
session_start();
require '../../conex/conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['treinar'])) {

    $item = $_POST['treinar']; // item a treinar.. atk/ def
     
$personagem = $_SESSION['personagem'];
$treinando = "treinandoATK";


$atk = $_SESSION['atk'];
$ptatk = $atk + "0.02";
$situacao = "livre";

        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :situacao, atk = :ptatk WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':situacao', $situacao, PDO::PARAM_STR);
    $stmt->bindParam(':ptatk', $ptatk, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
   
       header("Location: ../../dashboardmed.php");
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Vocês terminaram o treinamento de ataque, ganhando + 0.02 pontos, agora você tem $ptatk pontos de ataque";
 //   header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>